/*
 * This part was hacked by Harald Kipp
 *
 * Bug reports should be sent to
 *
 *  harald@os2point.ping.de
 *  harald@haport.sesam.com
 *  Fido: 2:2448/434
 *
 * This module contains the DLL init/exit routine.
 *
 */
#include "icc2bc.h"
#include <os2.h>

#include <sostream.h>

int _CRT_init(void);
void _CRT_term(void);

extern int _System SoStreamInit(void);
extern void _System SoStreamExit(void);


#pragma data_seg(GLOBAL_SEG)
int procount = 0;



/************************************************************************/
/*                                                                      */
/************************************************************************/
ULONG _System _DLL_InitTerm(ULONG hModule, ULONG ulFlag)
{
    if(ulFlag) {
        procount--;
        SoStreamExit();
        _CRT_term();
    }
    else {
        if(_CRT_init() == -1)
            return(0);
        if(SoStreamInit())
            return(0);
        procount++;
    }
    return(1);
}
